SUBROUTINE ECR2DV(KUL,CDNOMA,PTAB,KLONLOC,KLON,KLEV)
! --------------------------------------------------------------
! **** *ECR2DV* WRITE ON FILE A 3D FIELD (E.G. FULL-LEVEL GEOPOTENTIEL).
! --------------------------------------------------------------
! SUJET:
! ------
! ARGUMENTS EXPLICITES:
! ---------------------
! ARGUMENTS IMPLICITES:
! ---------------------
! METHODE:
! --------
! EXTERNES:
! ---------
! AUTEUR:   95-03, J.M. PIRIOU.
! -------
! MODIFICATIONS:
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
! --------------------------------------------------------------
! EN ENTREE:
! EN SORTIE:
! --------------------------------------------------------------
USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE
INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
INTEGER(KIND=JPIM)               :: KLEV! UNDETERMINED INTENT 
INTEGER(KIND=JPIM)               :: KUL ! UNDETERMINED INTENT
CHARACTER(LEN=*)                 :: CDNOMA ! UNDETERMINED INTENT
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTAB(KLON,KLEV) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLONLOC 
INTEGER(KIND=JPIM) ::JLEV
REAL(KIND=JPRB) :: ZVERT(KLEV)
REAL(KIND=JPRB) :: ZHOOK_HANDLE
! ON RECOPIE LE TABLEAU 2D D'ENTREE SUR UN TABLEAU 1D.
IF (LHOOK) CALL DR_HOOK('ECR2DV',0,ZHOOK_HANDLE)
DO JLEV=1,KLEV
  ZVERT(JLEV)=PTAB(KLONLOC,JLEV)
ENDDO

! ON ECRIT LE TABLEAU 1D SUR LE FICHIER LFA.
CALL LFAECRR(KUL,CDNOMA,ZVERT,KLEV)
IF (LHOOK) CALL DR_HOOK('ECR2DV',1,ZHOOK_HANDLE)
END SUBROUTINE ECR2DV
